<template>
    <section>
        <loading :active.sync="isLoading"
                 :can-cancel="true"
                 :is-full-page="fullPage">
        </loading>

        <div v-if="searching" class="row rides-list ride-list" id="rides_list" v-for="ride in openRides">

            <div class="col-md-12" id="form-sidebar">
                <label class=". .-success pull-right">Open Ride</label>
            </div>

            <div class="col-md-2">
                <h4 class="title">Driver</h4>
                <div class="profile-pic-sm" style="text-align: center;">
                    <img :src="ride.user.avatar" width="50px" class="img-circle"><br />
                    <p align="center">{{ ride['user']['first_name'] }} {{ ride.user.last_name }}</p>
                    <div class="stars">
                        <span v-for="item in ride.user.rating" class="fa fa-star checked"></span>
                        <span v-for="item in (5 - ride.user.rating)" class="fa fa-star"></span>
                    </div>
                    <a :href="'/rides/viewUserProfile/' + ride.user.id " class="btn btn-info x-slim-button">View Profile</a>
                </div>
            </div>

            <div class="col-md-2 no-mobile">
                <h4 class="title">Vehicle</h4>
                <div class="profile-pic-sm" style="text-align: center;">
                    <img :src="ride.path_image" width="50px" class="img-circle"><br />
                    <span class="add-id"> {{ ride.make}}</span><br/>
                    <span class="add-id">  {{ ride.model}}</span> <br/>
                    <span class="add-id"> {{ ride.year}}</span> <br/>
                </div>
            </div>

            <div class="col-md-6">
                <h4 class="title">Drive Info</h4>
                <div class="margin-left-20">
                    <p class="add-id">
                        <i class="fa fa-map-marker ride-card-icon"></i>
                        <strong class="bold-light">From:</strong> {{ ride.location_from }}
                    </p>
                    <p class="add-id">
                        <i class="fa fa-map-marker ride-card-icon" ></i>
                        <strong class="bold-light">To:</strong> {{ ride.location_to }}
                    </p>
                    <p class="add-id">
                        <i class="fa fa-calendar ride-card-icon"></i>
                        <strong class="bold-light">Open dates to ride:</strong>
                        {{ ride.open_date_from | formatDate}}
                        to {{ ride.open_date_to | formatDate }}
                    </p>

                    <p class="add-in">
                        <i class="fa fa-clock-o ride-card-icon"></i>
                        <strong class="bold-light">Possible Times: </strong>

                        <label v-for="hour in ride.hours" class=". .-success"> {{hour.hour | formatTime}} </label>
                    </p>

                    <p class="add-in no-mobile">
                        <i class="fa fa-map-o theme-color width-20"></i>
                        <strong class="bold-light">Description:</strong> {{ ride.description }}
                    </p>
                </div>
            </div>

            <div class="col-md-2">
                <h4 class="title">Booking</h4>
                <div style="text-align: center;">
                    <h2 class="rideprice"> ${{ ride.price }}</h2>
                    <div style="margin-top:14px;">
                        <a @click="navigate(ride)" class="btn btn-primary">Join Now</a>
                    </div>
                </div>
            </div>
        </div>

        <div v-if="!searching">
            <JoinRide >
                
            </JoinRide> 
        </div> 
    </section>
</template>

<script>

    import Loading from 'vue-loading-overlay';

    export default {

        name: "openridelist",
        props:['openRides', 'user'],
        components:{Loading},
        data(){
            return{
                isLoading:false,
                fullPage:false,
                searching:true,
            }
        },
        mounted(){
            console.log(this.ride);
        },
        methods:{
            navigate(ride, ) {
                this.isLoading = true;
                axios.get('/rides/openRide/join/' + ride.id, {
                        body:{
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                        }
                    }).then(response => {
                        this.isLoading = false;
                        if(response.data.status === 'Success'){
                            this.$router.push({ name: 'JoinOpenRide', params: { 
                                currentuser: response.data.currentuser,
                                openride : response.data.openRide,
                                hour: response.data.hours ,
                                dates: response.data.dates,
                                auto: response.data.vehicle,
                                join: response.data.canJoin,
                                user: response.data.user,
                                } 
                            });
                        }else{
                            this.flash(response.data.message, 'error' ,{timeout: 4500});
                        } 
                        

                    }).catch(e => {
                        this.isLoading = false;
                        if(e.response.status == 401){
                            setTimeout(function(){ 
                                this.flash('Please login to view the ride', 'info',{timeout: 3000}); 
                            }, 3000);
                            window.location.href = '/login';
                        }else{
                            this.flash('Server 500 error please try again', 'error',{timeout: 4500});
                        }
                        console.log(e);
                    })

                
            },
        }
    }
</script>

<style scoped>

</style>